package com.androidhuman.example.AudioPlayerExample;

import android.app.Activity;
import android.content.Intent;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class AudioPlayerExample extends Activity implements OnClickListener{
    private MediaPlayer player;
    private Button pickButton;
    private Button playStopButton;
       
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        player = new MediaPlayer();
        pickButton = (Button)findViewById(R.id.pickAudio);
        playStopButton = (Button)findViewById(R.id.play_stop);
               
        pickButton.setOnClickListener(this);
        playStopButton.setOnClickListener(this);
    }

	@Override
	public void onClick(View v) {
		switch(v.getId()){
		case R.id.pickAudio:
			Intent intent = new Intent(Intent.ACTION_GET_CONTENT);
			intent.setType("audio/*");
			startActivityForResult(intent, 0);
			break;
			
		case R.id.play_stop:
			if(!player.isPlaying()){
				try {
					player.prepare();
				} catch (Exception e){
					e.printStackTrace();
				}
				playStopButton.setText("");
				player.start();
			}else{
				player.stop();
				playStopButton.setText("");
			}
			break;
		}
	}
	
	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data){
		super.onActivityResult(requestCode, resultCode, data);
		if(resultCode == Activity.RESULT_OK && requestCode == 0){
			try {
				player.setDataSource(this, data.getData());
				playStopButton.setEnabled(true);
			} catch (Exception e){
				e.printStackTrace();
			}
		}
	}
	
	@Override
	public void onDestroy(){
		super.onDestroy();
		player.release();
	}
}