package com.androidhuman.example.ContextMenuExample;

import java.util.ArrayList;

import android.app.ListActivity;
import android.os.Bundle;
import android.view.ContextMenu;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.AdapterView.AdapterContextMenuInfo;

public class ContextMenuExample extends ListActivity {
    
	private ArrayList<String> list;
	private ArrayAdapter<String> adapter = null;
	private static final int MENU_DELETE = 0;
	
	private void initiateList(){
		list = new ArrayList<String>();
		list.add("Item 1");
		list.add("Item 2");
		list.add("Item 3");
		list.add("Item 4");
		
		if(adapter == null){
			adapter = new ArrayAdapter<String>(this, 
						android.R.layout.simple_list_item_1, 
						list);
		}
		setListAdapter(adapter);
		registerForContextMenu(getListView());
	}
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        initiateList();
        
        Button addItemButton = (Button)findViewById(R.id.addItem);
        addItemButton.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View v) {
				list.add("Item");
				adapter.notifyDataSetChanged();
			}
        });
    }
    
    @Override
    public void onCreateContextMenu(ContextMenu menu, View v, ContextMenu.ContextMenuInfo menuInfo){
    	super.onCreateContextMenu(menu, v, menuInfo);
    	menu.setHeaderIcon(android.R.drawable.ic_dialog_info);
    	menu.setHeaderTitle("޴");
    	menu.add(0, MENU_DELETE, Menu.NONE, "Delete");
    }
    
    @Override
    public boolean onContextItemSelected(MenuItem item){
    	AdapterContextMenuInfo info = (AdapterContextMenuInfo)item.getMenuInfo();
    	
    	super.onContextItemSelected(item);
    	switch(item.getItemId()){
    	case MENU_DELETE:
    		list.remove(info.position);
    		adapter.notifyDataSetChanged();
    		return true;
    	}
    	return false;
    }
}