package com.androidhuman.example.HelloMaps;

import android.graphics.drawable.Drawable;
import android.os.Bundle;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapView;
import com.google.android.maps.MyLocationOverlay;
import com.google.android.maps.OverlayItem;

public class HelloMaps extends MapActivity {
	private MyItemizedOverlay mItemizedOverlay;
	private MyLocationOverlay mLocationOverlay;
	private MapView mv;
    
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        mv = (MapView)findViewById(R.id.map);
        mv.setBuiltInZoomControls(true);
        initLocationOverlay();
        initItemizedOverlay();
        addOverlayItem(37422006, -122084095, "Googleplex", "Google HQ");
    }
	
	private void initItemizedOverlay(){
		Drawable marker = getResources().getDrawable(R.drawable.marker);
        marker.setBounds(0, 0,
        				marker.getIntrinsicWidth(), 
        				marker.getIntrinsicHeight() );
        
        mItemizedOverlay = new MyItemizedOverlay(marker);
        
        mv.getOverlays().add(mItemizedOverlay);
	}
	
	private void addOverlayItem(int latitudeE6, int longitudeE6, String title, String snippet){
		mItemizedOverlay.addItem(
				new OverlayItem(new GeoPoint(latitudeE6, longitudeE6), 
				title, snippet));
	}
	
	private void initLocationOverlay(){
		mLocationOverlay = new MyLocationOverlay(this, mv);
        mLocationOverlay.enableMyLocation();
		mv.getOverlays().add(mLocationOverlay);
	}

	@Override
	protected boolean isRouteDisplayed() {
		return false;
	}
}