package com.androidhuman.example.HelloMaps;

import java.util.ArrayList;
import java.util.List;

import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.widget.Toast;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.ItemizedOverlay;
import com.google.android.maps.MapController;
import com.google.android.maps.MapView;
import com.google.android.maps.OverlayItem;

public class MyItemizedOverlay extends ItemizedOverlay<OverlayItem> {

	private List<OverlayItem> items = new ArrayList<OverlayItem>();
	private Drawable marker = null;
	private MapController mapController = null;
	
	public MyItemizedOverlay(Drawable marker) {
		super(marker);
		this.marker = marker;
	}

	@Override
	protected OverlayItem createItem(int i) {
		return (items.get(i));
	}
	
	@Override
	public int size() {
		return items.size();
	}
	
	@Override
	public void draw(Canvas canvas, MapView mapView, boolean shadow){
		super.draw(canvas, mapView, shadow);
		boundCenterBottom(marker);
	}
	
	public void addItem(OverlayItem item){
		items.add(item);
		populate();
	}

	@Override
	public boolean onTap(GeoPoint p, MapView v){
		if(mapController == null)
			mapController = v.getController();
		
		mapController.animateTo(p);
		
		String text = ":" + p.getLatitudeE6()/1E6 + " 浵:" + p.getLongitudeE6()/1E6;
		Toast.makeText(v.getContext(), text, Toast.LENGTH_LONG).show();
		return true;
	}
	
}
