package com.androidhuman.example.LicensingExample;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.telephony.TelephonyManager;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;

import com.android.vending.licensing.AESObfuscator;
import com.android.vending.licensing.LicenseChecker;
import com.android.vending.licensing.LicenseCheckerCallback;
import com.android.vending.licensing.ServerManagedPolicy;

public class Main extends Activity {
	
	private static final String BASE_64_PUBLIC_KEY = "ڽ Public Key";
	private static final byte[] SALT = new byte[] {
	     -46, 65, 30, -128, -103, -57, 74, -64, 51, 88,
	     -95, -45, 77, -117, -36, -113, -11, 32, -64, 89
	     };
	
	private LicenseCheckerCallback mLicenseCheckerCallback;
	private LicenseChecker mLicenseChecker;
	private TelephonyManager mTelManager;
	
	private Button mCheckButton;
	
	private class MyLicenseCheckerCallback implements LicenseCheckerCallback{

		@Override
		public void allow() {
			Toast.makeText(Main.this, "Allow", Toast.LENGTH_SHORT).show();
		}

		@Override
		public void applicationError(ApplicationErrorCode errorCode) {
			Toast.makeText(Main.this, "Error", Toast.LENGTH_SHORT).show();
		}

		@Override
		public void dontAllow() {
			Toast.makeText(Main.this, "Don't allow", Toast.LENGTH_SHORT).show();
		}
	}
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        mTelManager = (TelephonyManager)getSystemService(Context.TELEPHONY_SERVICE);
        
        mLicenseCheckerCallback = new MyLicenseCheckerCallback();
        mLicenseChecker = new LicenseChecker(
        		this, 
        		new ServerManagedPolicy(this, 
        				new AESObfuscator(SALT, getPackageName(), mTelManager.getDeviceId())), 
        				BASE_64_PUBLIC_KEY);
        
        mCheckButton = (Button)findViewById(R.id.check_license);
        mCheckButton.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View v) {
				mLicenseChecker.checkAccess(mLicenseCheckerCallback);
			}
        });   
    }
    
    @Override
    public void onStop(){
    	super.onStop();
    	mLicenseChecker.onDestroy();
    }
}