package com.androidhuman.example.MenuExample;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Toast;

public class MenuExample extends Activity {
    private static final int MENU_ONE = 0;
    private static final int MENU_TWO = 1;
    private static final int MENU_THREE = 2;
    private static final int MENU_FOUR = 3;
    private static final int MENU_FIVE = 4;
    private static final int MENU_SIX = 5;
    private static final int MENU_SEVEN = 6;
    private static final int MENU_EIGHT = 7;
    
    private boolean isEnabled = true;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }
    
    @Override
	public boolean onCreateOptionsMenu(Menu menu){
    	super.onCreateOptionsMenu(menu);
    	
    	menu.add(0, MENU_ONE, Menu.NONE, "One")
    		.setIcon(android.R.drawable.ic_menu_add);
    	menu.add(0, MENU_TWO, Menu.NONE, "Two")
    		.setIcon(android.R.drawable.ic_menu_agenda);
    	menu.add(0, MENU_THREE, Menu.NONE, "Three")
    		.setIcon(android.R.drawable.ic_menu_call);
    	menu.add(0, MENU_FOUR, Menu.NONE, "Four")
    		.setIcon(android.R.drawable.ic_menu_camera);
    	menu.add(0, MENU_FIVE, Menu.NONE, "Five")
    		.setIcon(android.R.drawable.ic_menu_close_clear_cancel);
    	
    	menu.add(0, MENU_SIX, Menu.NONE, "Six")
    		.setAlphabeticShortcut('x');
    	menu.add(0, MENU_SEVEN, Menu.NONE, "Seven")
    		.setAlphabeticShortcut('v');
    	menu.add(0, MENU_EIGHT, Menu.NONE, "Eight")
    		.setAlphabeticShortcut('e');
    	
    	return true;
    }
    
    @Override
    public boolean onPrepareOptionsMenu(Menu menu){
    	super.onPrepareOptionsMenu(menu);
    	
    	menu.getItem(MENU_ONE).setEnabled(isEnabled);
    	  	
    	return true;
    }
    
    @Override
    public boolean onOptionsItemSelected(MenuItem item){
    	super.onOptionsItemSelected(item);
    	
    	switch(item.getItemId()){
    	case MENU_ONE:
    	case MENU_TWO:
    	case MENU_THREE:
    	case MENU_FOUR:
    	case MENU_FIVE:
    		Toast.makeText(this, "Menu Selected : " + item.getItemId(), Toast.LENGTH_SHORT).show();
    		isEnabled = false;
    		return true;
    		
    	case MENU_SIX:
    	case MENU_SEVEN:
    	case MENU_EIGHT:
    		Toast.makeText(this, "Menu Selected(More) : " + item.getItemId(), Toast.LENGTH_SHORT).show();
    		isEnabled = true;
    		return true;
    	}
    	
    	return false;
    }
}