package com.androidhuman.example.MyBookmark;

import android.app.ListActivity;
import android.database.Cursor;
import android.os.Bundle;
import android.widget.SimpleCursorAdapter;


public class MyBookmark extends ListActivity {
    private SimpleCursorAdapter adapter;
    private BookmarkDB bookmarkDB;
    private Cursor cursor;
        
    private void init(){
    	cursor = bookmarkDB.getBookmarks();
    	startManagingCursor(cursor);
    	String[] from = new String[]{Bookmark.sites.NAME, Bookmark.sites.ADDRESS};
    	int[] to = new int[]{R.id.row_name, R.id.row_address};
    	
    	adapter = new SimpleCursorAdapter(this, R.layout.row, cursor, from, to);
    	setListAdapter(adapter);
    }
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        bookmarkDB = new BookmarkDB(this);
        registerForContextMenu(getListView());
    }
        
    @Override
    public void onResume(){
    	super.onResume();
    	bookmarkDB.open();
    	init();
    }
    
    @Override
    public void onPause(){
    	super.onPause();
    	bookmarkDB.close();
    }
 
}