package com.androidhuman.example.NetworkInfo;

import android.app.Activity;
import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.widget.TextView;

public class NetworkStatus extends Activity {
    private ConnectivityManager connManager;
    private NetworkInfo wifiInfo;
    private NetworkInfo mobileInfo;
    
    private TextView wifiStatus;
    private TextView mobileStatus;
    
    private StringBuilder wifiString;
    private StringBuilder mobileString;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        wifiStatus = (TextView)findViewById(R.id.wifi_status);
        mobileStatus = (TextView)findViewById(R.id.mobile_status);
        
        connManager = (ConnectivityManager)getSystemService(Context.CONNECTIVITY_SERVICE);
        wifiInfo = connManager.getNetworkInfo(ConnectivityManager.TYPE_WIFI);
        mobileInfo = connManager.getNetworkInfo(ConnectivityManager.TYPE_MOBILE);
        
        refresh();
    }
    
    private void refresh(){
    	wifiString = new StringBuilder();
    	wifiString.append("밡 : ").append(wifiInfo.isAvailable())
		.append("\nӵ : ").append(wifiInfo.isConnected()).append("\n");

    	mobileString = new StringBuilder();
    	mobileString.append("밡 : ").append(mobileInfo.isAvailable())
		.append("\nӵ : ").append(mobileInfo.isConnected())
		.append("\nι : ").append(mobileInfo.isRoaming());
    	wifiStatus.setText(wifiString);
    	mobileStatus.setText(mobileString);
    }
}