package com.androidhuman.example.RawAudioPlayerExample;

import java.io.IOException;

import android.app.Activity;
import android.media.MediaPlayer;
import android.media.MediaPlayer.OnCompletionListener;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class RawAudioPlayerExample extends Activity {
	private static final int STATE_IDLE = 0;
	private static final int STATE_PLAYING = 1;
	private static int PLAYING_STATE = STATE_IDLE;
	
	private Button controlButton;
	private MediaPlayer mPlayer;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        mPlayer = MediaPlayer.create(this, R.raw.audio);
        mPlayer.setOnCompletionListener(new OnCompletionListener(){

			@Override
			public void onCompletion(MediaPlayer mp) {
				procAudio(STATE_PLAYING);
			}
        });
        
        controlButton = (Button)findViewById(R.id.controlButton);
        controlButton.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				procAudio(PLAYING_STATE);
			}
		});
    }
    
	private void procAudio(int state){
		switch(state){
		case STATE_IDLE:
			mPlayer.start();
			PLAYING_STATE = STATE_PLAYING;
			controlButton.setText("");
			break;
			
		case STATE_PLAYING:
			mPlayer.stop();
			try {
				mPlayer.prepare();
			} catch (IllegalStateException e) {
				e.printStackTrace();
			} catch (IOException e) {
				e.printStackTrace();
			}
			PLAYING_STATE = STATE_IDLE;
			controlButton.setText("");
			break;
		}
	}

    @Override
    public void onStop(){
    	super.onStop();
    	if(mPlayer.isPlaying())
    		mPlayer.stop();
    	mPlayer.release();
    }
}