package com.androidhuman.example.SensorExample;

import android.app.Activity;
import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;

public class SensorExample extends Activity implements SensorEventListener{
    private SensorManager sensorManager;
    
    private TextView azimuth;
    private TextView pitch;
    private TextView roll;
    
    private TextView x_axis_g;
    private TextView y_axis_g;
    private TextView z_axis_g;
    
    private TextView mt_x;
    private TextView mt_y;
    private TextView mt_z;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        sensorManager = (SensorManager)getSystemService(Context.SENSOR_SERVICE);
        sensorManager.registerListener(this, 
        		sensorManager.getDefaultSensor(Sensor.TYPE_ORIENTATION), 
        		SensorManager.SENSOR_DELAY_NORMAL);
        
        sensorManager.registerListener(this, 
        		sensorManager.getDefaultSensor(Sensor.TYPE_ACCELEROMETER), 
        		SensorManager.SENSOR_DELAY_NORMAL);
        
        sensorManager.registerListener(this,
        		sensorManager.getDefaultSensor(Sensor.TYPE_MAGNETIC_FIELD),
        		SensorManager.SENSOR_DELAY_NORMAL);
        
        azimuth = (TextView)findViewById(R.id.azimuth);
        pitch = (TextView)findViewById(R.id.pitch);
        roll = (TextView)findViewById(R.id.roll);
        
        x_axis_g = (TextView)findViewById(R.id.x_axis_g);
        y_axis_g = (TextView)findViewById(R.id.y_axis_g);
        z_axis_g = (TextView)findViewById(R.id.z_axis_g);
        
        mt_x = (TextView)findViewById(R.id.mt_x);
        mt_y = (TextView)findViewById(R.id.mt_y);
        mt_z = (TextView)findViewById(R.id.mt_z);
    }
    
	
	public void onAccuracyChanged(Sensor sensor, int accuracy) {
		switch(sensor.getType()){
		case Sensor.TYPE_ACCELEROMETER:
			switch(accuracy){
			case SensorManager.SENSOR_STATUS_ACCURACY_LOW:
			case SensorManager.SENSOR_STATUS_UNRELIABLE:
				Log.e("SensorManager", "Accelrometer accuracy low");
			}
			break;
			
		case Sensor.TYPE_MAGNETIC_FIELD:
			switch(accuracy){
			case SensorManager.SENSOR_STATUS_ACCURACY_LOW:
			case SensorManager.SENSOR_STATUS_UNRELIABLE:
				Log.e("SensorManager", "Magnetic Field sensor accuracy low");
			}
			break;
			
		case Sensor.TYPE_ORIENTATION:
			switch(accuracy){
			case SensorManager.SENSOR_STATUS_ACCURACY_LOW:
			case SensorManager.SENSOR_STATUS_UNRELIABLE:
				Log.e("SensorManager", "Orientation sensor accuracy low");
			}
			break;
	
		}
		
	}
	
	public void onSensorChanged(SensorEvent event) {
		switch(event.sensor.getType()){
		case Sensor.TYPE_ORIENTATION:
			azimuth.setText("Azimuth : " + event.values[0]);
			pitch.setText("Pitch : " + event.values[1]);
			roll.setText("Roll : " + event.values[2]);
			break;
			
		case Sensor.TYPE_ACCELEROMETER:
			x_axis_g.setText("X-axis G : " + event.values[0]);
			y_axis_g.setText("Y-axis G : " + event.values[1]);
			z_axis_g.setText("Z-axis G : " + event.values[2]);
			break;
			
		case Sensor.TYPE_MAGNETIC_FIELD:
			mt_x.setText("uT X : " + event.values[0]);
			mt_y.setText("uT Y : " + event.values[1]);
			mt_z.setText("uT Z : " + event.values[2]);
			break;
		}
		
	}
	
	public void onStop(){
		super.onStop();
		sensorManager.unregisterListener(this);
	}
	
	
}