package com.androidhuman.example.SharedPreferenceExample;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class Activity2 extends Activity {

	private EditText privateText;
	private EditText sharedText;
	private Button saveButton;
	private Button finishButton;
	
	private SharedPreferences prvPref;
	private SharedPreferences sharedPref;
	private SharedPreferences.Editor prvEditor;
	private SharedPreferences.Editor sharedEditor;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
	    super.onCreate(savedInstanceState);
	    setContentView(R.layout.activity2);
	    
	    // Initiate Widgets
	    privateText = (EditText)findViewById(R.id.activity2_prvate);
	    sharedText = (EditText)findViewById(R.id.activity2_shared);
	    saveButton = (Button)findViewById(R.id.activity2_saveButton);
	    finishButton = (Button)findViewById(R.id.activity2_closeActivity);
	    
	    prvPref = getPreferences(Activity.MODE_PRIVATE);
		sharedPref = getSharedPreferences("pref", Activity.MODE_PRIVATE);
		
		prvEditor = prvPref.edit();
		sharedEditor = sharedPref.edit();
			    	    
	    saveButton.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View v) {
				String prvValue = privateText.getText().toString();
				String sharedValue = sharedText.getText().toString();
				prvEditor.putString("value", prvValue);
				sharedEditor.putString("value", sharedValue);
				
				prvEditor.commit();
				sharedEditor.commit();
				Toast.makeText(Activity2.this, "Saved", Toast.LENGTH_SHORT).show();
			}
	    	
	    });
	    
	    finishButton.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View v) {
				finish();
				
			}
	    	
	    });
	}
	
	   public void onResume(){
	    	super.onResume();
	    	String prvValue = prvPref.getString("value", "");
	    	String sharedValue = sharedPref.getString("value", "");
	    	
	    	privateText.setText(String.valueOf(prvValue));
	    	sharedText.setText(String.valueOf(sharedValue));
	    }

}
