package com.androidhuman.example.SharedPreferenceExample;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class SharedPreferencesExample extends Activity {
    
	private EditText privateText;
	private EditText sharedText;
	private Button saveButton;
	private Button launchButton;
	
	private SharedPreferences prvPref;
	private SharedPreferences sharedPref;
	private SharedPreferences.Editor prvEditor;
	private SharedPreferences.Editor sharedEditor;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
	    // Initiate Widgets
	    privateText = (EditText)findViewById(R.id.main_prvate);
	    sharedText = (EditText)findViewById(R.id.main_shared);
	    saveButton = (Button)findViewById(R.id.main_saveButton);
	    launchButton = (Button)findViewById(R.id.main_lauchButton);
	    
	    prvPref = getPreferences(Activity.MODE_PRIVATE);
		sharedPref = getSharedPreferences("pref", Activity.MODE_PRIVATE);
		
		prvEditor = prvPref.edit();
		sharedEditor = sharedPref.edit();
			    	    
		saveButton.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View v) {
				String prvValue = privateText.getText().toString();
				String sharedValue = sharedText.getText().toString();
				prvEditor.putString("value", prvValue);
				sharedEditor.putString("value", sharedValue);
				
				prvEditor.commit();
				sharedEditor.commit();
				Toast.makeText(SharedPreferencesExample.this, "Saved", Toast.LENGTH_SHORT).show();
			}
	    	
	    });
	    
	    launchButton.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View v) {
				startActivity(new Intent(SharedPreferencesExample.this, Activity2.class));
				
			}
	    	
	    });
    }
    
    public void onResume(){
    	super.onResume();
    	String prvValue = prvPref.getString("value", "");
    	String sharedValue = sharedPref.getString("value", "");
    	
    	privateText.setText(String.valueOf(prvValue));
    	sharedText.setText(String.valueOf(sharedValue));
    }
}