package com.androidhuman.example.SimpleAIDL;

import java.text.SimpleDateFormat;
import java.util.Date;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.os.RemoteException;
import android.widget.Toast;

public class SimpleService extends Service {

	private IBinder mBinder = new ISimpleAIDL.Stub() {
		@Override
		public String getCurrentTime(long timeInMillis) throws RemoteException {
			Date date = new Date(timeInMillis);
			SimpleDateFormat sdf = new SimpleDateFormat("MM/dd HH:mm");
			return sdf.format(date);
		}
	};
	
	@Override
	public IBinder onBind(Intent intent) {
		Toast.makeText(this, "onBind()", Toast.LENGTH_SHORT).show();
		return mBinder;
	}
	
	@Override
	public boolean onUnbind(Intent intent){
		Toast.makeText(this, "onUnbind()", Toast.LENGTH_SHORT).show();
		return super.onUnbind(intent);
	}
}
