package com.androidhuman.example.TwitterExample;

import twitter4j.ResponseList;
import twitter4j.Status;
import twitter4j.Twitter;
import twitter4j.TwitterException;
import twitter4j.TwitterFactory;
import twitter4j.http.AccessToken;
import twitter4j.http.RequestToken;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.net.Uri;
import android.preference.PreferenceManager;
import android.util.Log;

public class TwitterSupport {
	private static final Uri CALLBACK_URL = Uri.parse("androidhuman://authorize");
	private static final String CONSUMER_KEY = "ndwrEe8yj18vFteLlghvw";
	private static final String CONSUMER_SECRET = "ugvvGCE4Qe9ms0MWXgCQCsDUAUrTZamV7HhDQjuIM";
	
	private Context context;
	private Twitter twitter;
	
	private RequestToken requestToken;
	private AccessToken accessToken;
	
	public TwitterSupport(Context mCtx){
		context = mCtx;
	}
	
	public boolean isAuthRequired(){
    	SharedPreferences pref = PreferenceManager.getDefaultSharedPreferences(context);
    	return pref.getString("token", null) == null ? true : false;
    }
	
	public void requestAuthToken(){
    	twitter = new TwitterFactory().getOAuthAuthorizedInstance(CONSUMER_KEY, CONSUMER_SECRET);
		try {
			requestToken = twitter.getOAuthRequestToken(CALLBACK_URL.toString());
			Intent intent = new Intent(Intent.ACTION_VIEW);
			intent.setData(Uri.parse(requestToken.getAuthorizationURL()))
				.setFlags(Intent.FLAG_ACTIVITY_NO_HISTORY);
			
			Log.d("TAG", Uri.parse(requestToken.getAuthorizationURL()).toString());
			context.startActivity(intent);
		} catch (TwitterException e) {
			e.printStackTrace();
		}
    }
	
    public void saveAccessToken(Uri data) throws TwitterException{
    	Log.d("TwitterExample", "Saving Access Token..");
    	String verifier = data.getQueryParameter("oauth_verifier");
    	accessToken = twitter.getOAuthAccessToken(requestToken, verifier);
    	
    	Editor editor = PreferenceManager
			.getDefaultSharedPreferences(context).edit();
    	editor.putString("token", accessToken.getToken());
    	editor.putString("tokenSecret", accessToken.getTokenSecret());
    	editor.commit();
    }
	
    public void getAuthToken(){
    	SharedPreferences pref = 
    			PreferenceManager.getDefaultSharedPreferences(context);
		
		AccessToken accessToken = 
			new AccessToken(pref.getString("token", null), 
					pref.getString("tokenSecret", null));
		
    	twitter = new TwitterFactory()
    		.getOAuthAuthorizedInstance(CONSUMER_KEY, 
    				CONSUMER_SECRET, accessToken);
    }

    public ResponseList<Status> getTimeline() throws TwitterException{
    	return twitter.getFriendsTimeline();
    }
    
    public void updateStatus(String message) throws TwitterException{
    	twitter.updateStatus(message);
    }

}
