package com.androidhuman.example.VideoViewExample;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.MediaController;
import android.widget.VideoView;

public class VideoViewExample extends Activity {
    private Button pickVideoButton;
    private VideoView videoView;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        pickVideoButton = (Button)findViewById(R.id.pickButton);
        videoView = (VideoView)findViewById(R.id.videoView);
        
        pickVideoButton.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View v) {
				Intent intent = new Intent(Intent.ACTION_PICK);
				intent.setType("video/*");
				startActivityForResult(intent, 0);
			}
        	
        });
    }
    
    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data){
    	super.onActivityResult(requestCode, resultCode, data);
    	if(resultCode == Activity.RESULT_OK && requestCode == 0){
    		Uri fileUri = data.getData();
    		videoView.setVideoURI(fileUri);
    		videoView.setMediaController(new MediaController(this));
    		
    	}
    }
}