package com.androidhuman.example.Widgets4;

import android.app.Activity;
import android.os.Bundle;
import android.widget.DatePicker;
import android.widget.TextView;
import android.widget.TimePicker;
import android.widget.DatePicker.OnDateChangedListener;
import android.widget.TimePicker.OnTimeChangedListener;

public class Widgets4 extends Activity implements OnDateChangedListener, OnTimeChangedListener {
    private DatePicker datePicker;
    private TimePicker timePicker;
    private TextView dateText;
    private TextView timeText;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        datePicker = (DatePicker)findViewById(R.id.datePicker);
        timePicker = (TimePicker)findViewById(R.id.timePicker);
        dateText = (TextView)findViewById(R.id.dateText);
        timeText = (TextView)findViewById(R.id.timeText);
        
        datePicker.init(2010, 3, 2, this);
        timePicker.setOnTimeChangedListener(this);
        
    }

	@Override
	public void onDateChanged(DatePicker view, int year, int monthOfYear,
			int dayOfMonth) {
		dateText.setText(year+" "+(monthOfYear+1)+" "+dayOfMonth+"");
	}

	@Override
	public void onTimeChanged(TimePicker view, int hourOfDay, int minute) {
		timeText.setText(hourOfDay+" "+minute+"");
	}
}