package com.androidhuman.example.WifiScanner;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import android.app.ListActivity;
import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiManager;
import android.os.Bundle;
import android.widget.SimpleAdapter;
import android.widget.Toast;

public class WifiScanner extends ListActivity {
    private WifiManager wifiManager;
    private ConnectivityManager connManager;
    private List<ScanResult> scanResult;
        
    private SimpleAdapter adapter;
    private ArrayList<HashMap<String, String>> list;
        
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        list = new ArrayList<HashMap<String, String>>();
        
        wifiManager = (WifiManager)getSystemService(Context.WIFI_SERVICE);
        connManager = (ConnectivityManager)getSystemService(Context.CONNECTIVITY_SERVICE);
                
        NetworkInfo wifiInfo = connManager.getNetworkInfo(ConnectivityManager.TYPE_WIFI);
        if(wifiInfo.isAvailable())
           	refresh();
        else
        	Toast.makeText(this, "Wi-Fi   ϴ.", Toast.LENGTH_LONG).show();
    }
    
    private void refresh(){
    	scanResult = wifiManager.getScanResults();
    	
    	for(ScanResult result: scanResult){
    		HashMap<String, String> item = new HashMap<String, String>();
    		item.put("bssid", "BSSID : " + result.BSSID);
    		item.put("ssid", "SSID : " + result.SSID);
    		item.put("capablities", "Capablities : " + result.capabilities);
    		item.put("frequency", "Frequency : " + result.frequency);
    		item.put("level", "Signal Level : " + result.level);
    		list.add(item);
    	}
    	
    	String[] from = new String[]{"bssid", "ssid", "capablities", "frequency", "level"};
    	int[] to = new int[]{R.id.bssid, R.id.ssid, R.id.cabalilities, R.id.frequency, R.id.level};
    	
    	adapter = new SimpleAdapter(this, list, R.layout.row, from, to);
    	setListAdapter(adapter);
    }
}